#!/usr/bin/perl

use strict;
use warnings;

use SOAP::Lite +trace => 'debug';
use MIME::Base64;

my $site = 'http://bp4smdemo.hpsweducation.com:13080/SM/7';
my $user = 'falcon';
my $password = 'orange perfection';
my $auth = encode_base64("$user:$password", '');

my $soap = SOAP::Lite->new(
    proxy => "$site/ws",
    service => "$site/ConfigurationManagement.wsdl",
    default_ns => $site);
$soap->transport->http_request->header('Authorization' => "Basic $auth");

my $som = $soap->call('RetrieveContactKeysList');

print "Fault\n" if ($som->fault);

print $som->valueof('//RetrieveContactKeysListResponse/keys') . "\n";
